Which version of mod * do I have installed?

From Brandonhutchinson.com

Revision as of 21:35, 15 November 2007 by Hutch (Talk | contribs)
(diff) ←Older revision | Current revision (diff) | Newer revision→ (diff)
Jump to: navigation, search

If for some reason mod_perl, mod_ssl, etc., were installed without package management and you do not know the version number, you can determine it using strings.

e.g., module directory of /usr/lib/apache

  • mod_perl
$ strings /usr/lib/apache/libperl.so | grep mod_perl/
mod_perl/1.29
  • mod_ssl
$ strings /usr/lib/apache/libssl.so | grep ^\$Id
$Id: mod_ssl/2.8.22 $
Personal tools